# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLKeyGen Class Reference

KDE Key Generation dialog KDE Key Generation Dialog. More...

`#include <ksslkeygen.h>`

Inheritance diagram for KSSLKeyGen:

[legend]
Collaboration diagram for KSSLKeyGen:

[legend]
List of all members.

## Public Member Functions

| KSSLKeyGen (QWidget *parent=0L, const char *name=0L, bool modal=false)
virtual | ~KSSLKeyGen ()
int | generateCSR (const QString &name, const QString &pass, int bits, int e=0x10001)
void | setKeySize (int idx)

## Static Public Member Functions

static QStringList | supportedKeySizes ()

## Detailed Description

KDE Key Generation dialog KDE Key Generation Dialog.

This is used to display a key generation dialog for cases such as the html <keygen> tag. It also does the certificate signing request generation.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL, KSSLCertificate, KSSLPKCS12

Definition at line 44 of file ksslkeygen.h.

## Constructor & Destructor Documentation

KSSLKeyGen::KSSLKeyGen | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | bool | modal = `false`
| ) |

Construct a keygen dialog.

Parameters:

  | parent | the parent widget
  | name | the internal name of this instance
  | modal | true if the dialog should be modal

Definition at line 42 of file ksslkeygen.cc.

References QWizard::addPage(), QWizard::finishButton(), QWizard::setFinishEnabled(), and QWizard::setHelpEnabled().

KSSLKeyGen::~KSSLKeyGen | ( |  | ) | `[virtual]`

| Destroy this dialog. Definition at line 63 of file ksslkeygen.cc.

## Member Function Documentation

QStringList KSSLKeyGen::supportedKeySizes | ( |  | ) | `[static]`

List the supported key sizes.

Returns:
  the supported key sizes

Definition at line 206 of file ksslkeygen.cc.

int KSSLKeyGen::generateCSR | ( | const QString & | name,
|  | const QString & | pass,
|  | int | bits,
|  | int | e = `0x10001`
| ) |

Generate the certificate signing request.

Parameters:

  | name | the name for the certificate
  | pass | the password for the request
  | bits | the bitsize for the key
  | e | the value of the "e" parameter in RSA

Returns:
  0 on success, non-zero on error

Definition at line 122 of file ksslkeygen.cc.

References KStandardDirs::addResourceType(), KGlobal::dirs(), KTempFile::fstream(), QString::local8Bit(), and KStandardDirs::saveLocation().

void KSSLKeyGen::setKeySize | ( | int | idx | ) | `[inline]`

Set the key size.

Parameters:

  | idx | an index into supportedKeySizes()

Definition at line 80 of file ksslkeygen.h.

The documentation for this class was generated from the following files:

- ksslkeygen.h
- ksslkeygen.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:25 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003